package com.company.demo.screen.demo;

import io.jmix.reportsui.runner.UiReportRunner;
import io.jmix.ui.component.Button;
import io.jmix.ui.component.TextField;
import io.jmix.ui.screen.Screen;
import io.jmix.ui.screen.Subscribe;
import io.jmix.ui.screen.UiController;
import io.jmix.ui.screen.UiDescriptor;
import org.springframework.beans.factory.annotation.Autowired;

@UiController("DemoScreen")
@UiDescriptor("demo-screen.xml")
public class DemoScreen extends Screen {

    @Autowired
    private UiReportRunner uiReportRunner;
    @Autowired
    private TextField<String> nameField;
    @Autowired
    private TextField<String> descriptionField;

    @Subscribe("printBtn")
    public void onPrintBtnClick(Button.ClickEvent event) {
        uiReportRunner.byReportCode("demo")
                .addParam("name", nameField.getValue())
                .addParam("description", descriptionField.getValue())
                .runAndShow();
    }
}